

### All Types

| Name | Summary |
|---|---|
| [libui.ktx.AreaDrawParams](../libui.ktx/-area-draw-params.md) |  |
| [libui.ktx.AreaMouseEvent](../libui.ktx/-area-mouse-event.md) |  |
| [libui.ktx.draw.Attribute](../libui.ktx.draw/-attribute/index.md) | Stores information about an attribute in a [AttributedString](../libui.ktx.draw/-attributed-string/index.md). |
| [libui.ktx.draw.AttributedString](../libui.ktx.draw/-attributed-string/index.md) | Represents a string of UTF-8 text that can be embellished with formatting attributes. |
| [libui.ktx.draw.BackgroundAttribute](../libui.ktx.draw/-background-attribute/index.md) | Changes the background color of the text it is applied to. |
| [libui.ktx.Box](../libui.ktx/-box/index.md) | Wrapper class for [uiBox](../libui/ui-box.md) - a container that stack its children horizontally or vertically. |
| [libui.ktx.draw.Brush](../libui.ktx.draw/-brush/index.md) | Defines the color(s) to draw a path with. |
| [libui.ktx.Button](../libui.ktx/-button/index.md) | Wrapper class for [uiButton](../libui/ui-button.md) - a simple button. |
| [libui.ktx.Checkbox](../libui.ktx/-checkbox/index.md) | Wrapper class for [uiCheckbox](../libui/ui-checkbox.md) - a checkbox widget. |
| [libui.ktx.draw.Color](../libui.ktx.draw/-color/index.md) |  |
| [libui.ktx.draw.ColorAttribute](../libui.ktx.draw/-color-attribute/index.md) | Changes the color of the text it is applied to. |
| [libui.ktx.ColorButton](../libui.ktx/-color-button/index.md) | Wrapper class for [uiColorButton](../libui/ui-color-button.md) - a button that opens a color palette popup. |
| [libui.ktx.Combobox](../libui.ktx/-combobox/index.md) | Wrapper class for [uiCombobox](../libui/ui-combobox.md) - a drop down combo box that allow list selection only. |
| [libui.ktx.Container](../libui.ktx/-container/index.md) | Container for child controls. |
| [libui.ktx.Control](../libui.ktx/-control/index.md) | Base class for all GUI controls (widgets). |
| [libui.ktx.DatePicker](../libui.ktx/-date-picker/index.md) | Wrapper class for [uiDateTimePicker](../libui/ui-date-time-picker.md) - a widget to edit date. |
| [libui.ktx.DateTimePicker](../libui.ktx/-date-time-picker/index.md) | Wrapper class for [uiDateTimePicker](../libui/ui-date-time-picker.md) - a widget to edit date and time. |
| [libui.ktx.Disposable](../libui.ktx/-disposable/index.md) | Base class for all objects that have a holder reference to the native C resource(s). |
| [libui.ktx.DrawArea](../libui.ktx/-draw-area/index.md) | Wrapper class for [uiArea](../libui/ui-area.md) - a canvas you can draw on. |
| [libui.ktx.DrawContext](../libui.ktx/-draw-context.md) |  |
| [libui.ktx.EditableCombobox](../libui.ktx/-editable-combobox/index.md) | Wrapper class for [uiEditableCombobox](../libui/ui-editable-combobox.md) - a drop down combo box that allow selection from list or free text entry. |
| [libui.ktx.draw.FamilyAttribute](../libui.ktx.draw/-family-attribute/index.md) | Changes the font family of the text it is applied to. |
| [libui.ktx.draw.FeaturesAttribute](../libui.ktx.draw/-features-attribute/index.md) | Creates a new Attribute that changes the font family of the text it is applied to. otf is copied you may free it. |
| [libui.ktx.draw.Font](../libui.ktx.draw/-font/index.md) | Provides a complete description of a font where one is needed. |
| [libui.ktx.FontButton](../libui.ktx/-font-button/index.md) | Wrapper class for [uiFontButton](../libui/ui-font-button.md) - a button that allows users to choose a font. |
| [libui.ktx.Form](../libui.ktx/-form/index.md) | Wrapper class for [uiForm](../libui/ui-form.md) - a container that organize children as labeled fields. |
| [libui.ktx.GridPane](../libui.ktx/-grid-pane/index.md) | Wrapper class for [uiGrid](../libui/ui-grid.md) - a powerful container that allow to specify size and position of each children. |
| [libui.ktx.Group](../libui.ktx/-group/index.md) | Wrapper class for [uiGroup](../libui/ui-group.md) - a container for a single widget that provide a caption and visually group it's children. |
| [libui.ktx.HBox](../libui.ktx/-h-box/index.md) | Wrapper class for [uiBox](../libui/ui-box.md) - a container that stack its children horizontally. |
| [libui.ktx.HorizontalSeparator](../libui.ktx/-horizontal-separator/index.md) | Wrapper class for [uiSeparator](../libui/ui-separator.md) - an horizontal line to visually separate widgets. |
| [libui.ktx.draw.Image](../libui.ktx.draw/-image/index.md) |  |
| [libui.ktx.draw.ImageData](../libui.ktx.draw/-image-data/index.md) |  |
| [libui.ktx.draw.ItalicAttribute](../libui.ktx.draw/-italic-attribute/index.md) | Changes the italic mode of the text it is applied to. |
| [libui.ktx.Label](../libui.ktx/-label/index.md) | Wrapper class for [uiLabel](../libui/ui-label.md) - a static text label. |
| [libui.ktx.draw.Matrix](../libui.ktx.draw/-matrix/index.md) | Defines a transformation (e.g. rotation, translation) |
| [libui.ktx.Menu](../libui.ktx/-menu.md) |  |
| [libui.ktx.MenuItem](../libui.ktx/-menu-item.md) |  |
| [libui.ktx.draw.OpenTypeFeatures](../libui.ktx.draw/-open-type-features/index.md) | Represents a set of OpenType feature tag-value pairs, for applying OpenType features to text. |
| [libui.ktx.PasswordField](../libui.ktx/-password-field/index.md) | Wrapper class for [uiEntry](../libui/ui-entry.md) - a text entry widget that mask the input, useful to edit passwords or other sensible data. |
| [libui.ktx.draw.Path](../libui.ktx.draw/-path/index.md) | Represent a path that could be drawed on a [DrawContext](../libui.ktx/-draw-context.md) |
| [libui.ktx.draw.Point](../libui.ktx.draw/-point/index.md) |  |
| [libui.ktx.ProgressBar](../libui.ktx/-progress-bar/index.md) | Wrapper class for [uiProgressBar](../libui/ui-progress-bar.md) - a progress bar widget. |
| [libui.ktx.RadioButtons](../libui.ktx/-radio-buttons/index.md) | Wrapper class for [uiRadioButtons](../libui/ui-radio-buttons.md) - a widget that represent a group of radio options. |
| [libui.ktx.ScrollingArea](../libui.ktx/-scrolling-area/index.md) | Wrapper class for [uiArea](../libui/ui-area.md) - a canvas with horziontal and vertical scrollbars. |
| [libui.ktx.SearchField](../libui.ktx/-search-field/index.md) | Wrapper class for [uiEntry](../libui/ui-entry.md) - a text entry widget to search text. |
| [libui.ktx.Separator](../libui.ktx/-separator/index.md) | Wrapper class for [uiSeparator](../libui/ui-separator.md) |
| [libui.ktx.draw.Size](../libui.ktx.draw/-size/index.md) |  |
| [libui.ktx.draw.SizeAttribute](../libui.ktx.draw/-size-attribute/index.md) | Changes the size of the text it is applied to, in typographical points. |
| [libui.ktx.draw.SizeInt](../libui.ktx.draw/-size-int/index.md) |  |
| [libui.ktx.Slider](../libui.ktx/-slider/index.md) | Wrapper class for [uiSlider](../libui/ui-slider.md) - an horizontal slide to set numerical values. |
| [libui.ktx.Spinbox](../libui.ktx/-spinbox/index.md) | Wrapper class for [uiSpinbox](../libui/ui-spinbox.md) - an entry widget for numerical values. |
| [libui.ktx.draw.StretchAttribute](../libui.ktx.draw/-stretch-attribute/index.md) | Changes the stretch of the text it is applied to. |
| [libui.ktx.draw.Stroke](../libui.ktx.draw/-stroke/index.md) | Describes the stroke to draw with. |
| [libui.ktx.TabPane](../libui.ktx/-tab-pane/index.md) | Wrapper class for [uiTab](../libui/ui-tab.md) - a container that show each children in a separate tab. |
| [libui.ktx.Table](../libui.ktx/-table/index.md) | Wrapper class for [uiTableModel](../libui/ui-table-model.md) |
| [libui.ktx.TableView](../libui.ktx/-table-view/index.md) | Wrapper class for [uiTable](../libui/ui-table.md) |
| [libui.ktx.TextArea](../libui.ktx/-text-area/index.md) | Wrapper class for [uiMultilineEntry](../libui/ui-multiline-entry.md) - a multiline plain text editing widget |
| [libui.ktx.TextField](../libui.ktx/-text-field/index.md) | Wrapper class for [uiEntry](../libui/ui-entry.md) - a simple single line text entry widget |
| [libui.ktx.draw.TextLayout](../libui.ktx.draw/-text-layout/index.md) | Representation of a [AttributedString](../libui.ktx.draw/-attributed-string/index.md) that can be displayed in a [DrawContext](../libui.ktx/-draw-context.md). |
| [libui.ktx.TimePicker](../libui.ktx/-time-picker/index.md) | Wrapper class for [uiDateTimePicker](../libui/ui-date-time-picker.md) - a widget to edit time. |
| [libui.ktx.draw.UnderlineAttribute](../libui.ktx.draw/-underline-attribute/index.md) | Changes the type of underline on the text it is applied to. |
| [libui.ktx.draw.UnderlineColorAttribute](../libui.ktx.draw/-underline-color-attribute/index.md) | Changes the color of the underline on the text it is applied to. |
| [libui.ktx.VBox](../libui.ktx/-v-box/index.md) | Wrapper class for [uiBox](../libui/ui-box.md) - a container that stack its children vertically. |
| [libui.ktx.VerticalSeparator](../libui.ktx/-vertical-separator/index.md) | Wrapper class for [uiSeparator](../libui/ui-separator.md) - a vertical line to visually separate widgets. |
| [libui.ktx.draw.WeightAttribute](../libui.ktx.draw/-weight-attribute/index.md) | Changes the weight of the text it is applied to. |
| [libui.ktx.Window](../libui.ktx/-window/index.md) | Represents a top-level window. Contains one child control that occupies the entirety of the window. |
| [libui.ktAreaHandler](../libui/kt-area-handler/index.md) |  |
| [libui.ktTableHandler](../libui/kt-table-handler/index.md) |  |
| [libui.tm](../libui/tm.md) |  |
| [libui.uiAlign](../libui/ui-align.md) |  |
| [libui.uiAlignVar](../libui/ui-align-var.md) |  |
| [libui.uiArea](../libui/ui-area.md) |  |
| [libui.uiAreaDrawParams](../libui/ui-area-draw-params/index.md) |  |
| [libui.uiAreaHandler](../libui/ui-area-handler/index.md) |  |
| [libui.uiAreaKeyEvent](../libui/ui-area-key-event/index.md) |  |
| [libui.uiAreaMouseEvent](../libui/ui-area-mouse-event/index.md) |  |
| [libui.uiAt](../libui/ui-at.md) |  |
| [libui.uiAtVar](../libui/ui-at-var.md) |  |
| [libui.uiAttribute](../libui/ui-attribute.md) |  |
| [libui.uiAttributeType](../libui/ui-attribute-type.md) |  |
| [libui.uiAttributeTypeVar](../libui/ui-attribute-type-var.md) |  |
| [libui.uiAttributedString](../libui/ui-attributed-string.md) |  |
| [libui.uiAttributedStringForEachAttributeFunc](../libui/ui-attributed-string-for-each-attribute-func.md) |  |
| [libui.uiAttributedStringForEachAttributeFuncVar](../libui/ui-attributed-string-for-each-attribute-func-var.md) |  |
| [libui.uiBox](../libui/ui-box.md) |  |
| [libui.uiButton](../libui/ui-button.md) |  |
| [libui.uiCheckbox](../libui/ui-checkbox.md) |  |
| [libui.uiColorButton](../libui/ui-color-button.md) |  |
| [libui.uiCombobox](../libui/ui-combobox.md) |  |
| [libui.uiControl](../libui/ui-control/index.md) |  |
| [libui.uiDateTimePicker](../libui/ui-date-time-picker.md) |  |
| [libui.uiDrawBrush](../libui/ui-draw-brush/index.md) |  |
| [libui.uiDrawBrushGradientStop](../libui/ui-draw-brush-gradient-stop/index.md) |  |
| [libui.uiDrawBrushType](../libui/ui-draw-brush-type.md) |  |
| [libui.uiDrawBrushTypeVar](../libui/ui-draw-brush-type-var.md) |  |
| [libui.uiDrawContext](../libui/ui-draw-context.md) |  |
| [libui.uiDrawFillMode](../libui/ui-draw-fill-mode.md) |  |
| [libui.uiDrawFillModeVar](../libui/ui-draw-fill-mode-var.md) |  |
| [libui.uiDrawLineCap](../libui/ui-draw-line-cap.md) |  |
| [libui.uiDrawLineCapVar](../libui/ui-draw-line-cap-var.md) |  |
| [libui.uiDrawLineJoin](../libui/ui-draw-line-join.md) |  |
| [libui.uiDrawLineJoinVar](../libui/ui-draw-line-join-var.md) |  |
| [libui.uiDrawMatrix](../libui/ui-draw-matrix/index.md) |  |
| [libui.uiDrawPath](../libui/ui-draw-path.md) |  |
| [libui.uiDrawStrokeParams](../libui/ui-draw-stroke-params/index.md) |  |
| [libui.uiDrawTextAlign](../libui/ui-draw-text-align.md) |  |
| [libui.uiDrawTextAlignVar](../libui/ui-draw-text-align-var.md) |  |
| [libui.uiDrawTextLayout](../libui/ui-draw-text-layout.md) |  |
| [libui.uiDrawTextLayoutParams](../libui/ui-draw-text-layout-params/index.md) |  |
| [libui.uiEditableCombobox](../libui/ui-editable-combobox.md) |  |
| [libui.uiEntry](../libui/ui-entry.md) |  |
| [libui.uiExtKey](../libui/ui-ext-key.md) |  |
| [libui.uiExtKeyVar](../libui/ui-ext-key-var.md) |  |
| [libui.uiFontButton](../libui/ui-font-button.md) |  |
| [libui.uiFontDescriptor](../libui/ui-font-descriptor/index.md) |  |
| [libui.uiForEach](../libui/ui-for-each.md) |  |
| [libui.uiForEachVar](../libui/ui-for-each-var.md) |  |
| [libui.uiForm](../libui/ui-form.md) |  |
| [libui.uiGrid](../libui/ui-grid.md) |  |
| [libui.uiGroup](../libui/ui-group.md) |  |
| [libui.uiImage](../libui/ui-image.md) |  |
| [libui.uiInitOptions](../libui/ui-init-options/index.md) |  |
| [libui.uiLabel](../libui/ui-label.md) |  |
| [libui.uiMenu](../libui/ui-menu.md) |  |
| [libui.uiMenuItem](../libui/ui-menu-item.md) |  |
| [libui.uiModifiers](../libui/ui-modifiers.md) |  |
| [libui.uiModifiersVar](../libui/ui-modifiers-var.md) |  |
| [libui.uiMultilineEntry](../libui/ui-multiline-entry.md) |  |
| [libui.uiOpenTypeFeatures](../libui/ui-open-type-features.md) |  |
| [libui.uiOpenTypeFeaturesForEachFunc](../libui/ui-open-type-features-for-each-func.md) |  |
| [libui.uiOpenTypeFeaturesForEachFuncVar](../libui/ui-open-type-features-for-each-func-var.md) |  |
| [libui.uiProgressBar](../libui/ui-progress-bar.md) |  |
| [libui.uiRadioButtons](../libui/ui-radio-buttons.md) |  |
| [libui.uiSeparator](../libui/ui-separator.md) |  |
| [libui.uiSlider](../libui/ui-slider.md) |  |
| [libui.uiSpinbox](../libui/ui-spinbox.md) |  |
| [libui.uiTab](../libui/ui-tab.md) |  |
| [libui.uiTable](../libui/ui-table.md) |  |
| [libui.uiTableModel](../libui/ui-table-model.md) |  |
| [libui.uiTableModelHandler](../libui/ui-table-model-handler/index.md) |  |
| [libui.uiTableParams](../libui/ui-table-params/index.md) |  |
| [libui.uiTableTextColumnOptionalParams](../libui/ui-table-text-column-optional-params/index.md) |  |
| [libui.uiTableValue](../libui/ui-table-value.md) |  |
| [libui.uiTableValueType](../libui/ui-table-value-type.md) |  |
| [libui.uiTableValueTypeVar](../libui/ui-table-value-type-var.md) |  |
| [libui.uiTextItalic](../libui/ui-text-italic.md) |  |
| [libui.uiTextItalicVar](../libui/ui-text-italic-var.md) |  |
| [libui.uiTextStretch](../libui/ui-text-stretch.md) |  |
| [libui.uiTextStretchVar](../libui/ui-text-stretch-var.md) |  |
| [libui.uiTextWeight](../libui/ui-text-weight.md) |  |
| [libui.uiTextWeightVar](../libui/ui-text-weight-var.md) |  |
| [libui.uiUnderline](../libui/ui-underline.md) |  |
| [libui.uiUnderlineColor](../libui/ui-underline-color.md) |  |
| [libui.uiUnderlineColorVar](../libui/ui-underline-color-var.md) |  |
| [libui.uiUnderlineVar](../libui/ui-underline-var.md) |  |
| [libui.uiWindow](../libui/ui-window.md) |  |
| [libui.uiWindowResizeEdge](../libui/ui-window-resize-edge.md) |  |
| [libui.uiWindowResizeEdgeVar](../libui/ui-window-resize-edge-var.md) |  |
